Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Event_Processor Class Reference

TAO_Notify_Event_Processor. More...

`#include <Notify_Event_Processor.h>`

Collaboration diagram for TAO_Notify_Event_Processor:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Event_Processor (TAO_Notify_Event_Manager *event_manager)
virtual | ~TAO_Notify_Event_Processor ()
void | init (TAO_Notify_QoSAdmin_i *qos_properties ACE_ENV_ARG_DECL)
| Init. More...
void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown operations. More...
void | evaluate_source_filter (TAO_Notify_Event *event, TAO_Notify_EventSource *event_source ACE_ENV_ARG_DECL)
| Event processing entry point. More...
void | lookup_subscriptions (TAO_Notify_Event *event, TAO_Notify_EventSource *event_source ACE_ENV_ARG_DECL)
| This method is called by an Event_Source after it has successfully evaluated its filter. More...
void | evaluate_listener_filter (TAO_Notify_Event *event, TAO_Notify_EventListener *event_listener, CORBA::Boolean eval_parent ACE_ENV_ARG_DECL)
| This method is called by the subscription lookup command asking that <event> be delivered to <event_listener>. More...
void | dispatch_event (TAO_Notify_Event *event, TAO_Notify_EventListener *event_listener ACE_ENV_ARG_DECL)
| This method is called by an Event_Listener after it has successfully evaluated its filter. More...
## Protected Attributes
TAO_Notify_Event_Manager * | event_manager_
| The Event Manager. More...
TAO_Notify_Worker_Task * | lookup_task_
TAO_Notify_EMO_Factory * | emo_factory_
| Factory for manager ojects. More...

## Detailed Description

TAO_Notify_Event_Processor.

The Event Processor.

## Constructor & Destructor Documentation

TAO_Notify_Event_Processor::TAO_Notify_Event_Processor | ( | TAO_Notify_Event_Manager * | event_manager | ) |

TAO_Notify_Event_Processor::~TAO_Notify_Event_Processor | ( |  | ) | `[virtual]`

## Member Function Documentation

void TAO_Notify_Event_Processor::dispatch_event | ( | TAO_Notify_Event * | event,
|  | TAO_Notify_EventListener *event_listener | ACE_ENV_ARG_DECL
| ) |

| This method is called by an Event_Listener after it has successfully evaluated its filter.

void TAO_Notify_Event_Processor::evaluate_listener_filter | ( | TAO_Notify_Event * | event,
|  | TAO_Notify_EventListener * | event_listener,
|  | CORBA::Boolean eval_parent | ACE_ENV_ARG_DECL
| ) |

| This method is called by the subscription lookup command asking that <event> be delivered to <event_listener>.

void TAO_Notify_Event_Processor::evaluate_source_filter | ( | TAO_Notify_Event * | event,
|  | TAO_Notify_EventSource *event_source | ACE_ENV_ARG_DECL
| ) |

| Event processing entry point.

void TAO_Notify_Event_Processor::init | ( | TAO_Notify_QoSAdmin_i *qos_properties | ACE_ENV_ARG_DECL | ) |

| Init.

void TAO_Notify_Event_Processor::lookup_subscriptions | ( | TAO_Notify_Event * | event,
|  | TAO_Notify_EventSource *event_source | ACE_ENV_ARG_DECL
| ) |

| This method is called by an Event_Source after it has successfully evaluated its filter.

void TAO_Notify_Event_Processor::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Shutdown operations.

## Member Data Documentation

TAO_Notify_EMO_Factory* TAO_Notify_Event_Processor::emo_factory_`[protected]`

| Factory for manager ojects.

TAO_Notify_Event_Manager* TAO_Notify_Event_Processor::event_manager_`[protected]`

| The Event Manager.

TAO_Notify_Worker_Task* TAO_Notify_Event_Processor::lookup_task_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Event_Processor.h
- Notify_Event_Processor.cpp